using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童处方,按年龄
    /// </summary>
    [SugarTable("YB_ChildPrescriptionByAge", TableDescription = "儿童处方,按年龄", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_ChildPrescriptionByAge
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(ColumnDescription = "主键",IsPrimaryKey =true)] 
        public Guid Id { get; set; }
        /// <summary>
        /// 最小年龄,月龄,如果是-1则表示全年龄
        /// </summary>
        [SugarColumn(ColumnDescription = "最小年龄,月龄,如果是-1则表示全年龄")]
        public int MinAge { get; set; }
        /// <summary>
        /// 最大年龄,月龄,如果是-1则表示全年龄
        /// </summary>
        [SugarColumn(ColumnDescription = "最大年龄,月龄,如果是-1则表示全年龄")] 
        public int MaxAge { get; set; }
        /// <summary>
        /// 类型,1-运动,2-睡眠,3-情绪
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-运动,2-睡眠,3-情绪")]
        public int Type { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDescription = "内容", ColumnDataType = "text")]
        public string Content { get; set; }
    }
}
